MONGOC_STREAM_SETSOCKOPT(3)

NAME
mongoc_stream_setsockopt() - This function is a wrapper around setsockopt() for streams that wrap sockets.

SYNOPSIS

int
mongoc_stream_setsockopt (mongoc_stream_t *stream,
                          int              level,
                          int              optname,
                          void            *optval,
                          socklen_t        optlen);

PARAMETERS

stream
    A mongoc_stream_t \&.

level
    The level to pass to setsockopt(3) \&.

optname
    The optname to pass to setsockopt(3) \&.

optval
    The optval to pass to setsockopt(3) \&.

optlen
    The optlen to pass to setsockopt(3) \&.

This function is a wrapper around setsockopt(3) for streams that wrap sockets.

RETURNS

0 on success, otherwise -1 and errno is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.